<?xml version="1.0"  encoding="ISO-8859-1"?>
<!--
    Copyright (c) 2010, 2019 IBM Corporation and others.
    This program and the accompanying materials
    are made available under the terms of the Eclipse Public License 2.0
    which accompanies this distribution, and is available at
    https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

    Contributors:
        IBM Corporation - initial API and implementation
 -->

<!DOCTYPE Configure PUBLIC "-//Mort Bay Consulting//DTD Configure//EN" "http://jetty.mortbay.org/configure.dtd">

<!--
Configure a custom context for the html.

This context contains only a ServletHandler with a default servlet
to serve static html files and images.
-->

<Configure class="org.mortbay.jetty.handler.ContextHandler">
    <Call class="org.mortbay.log.Log" name="debug"><Arg>Configure html.xml</Arg></Call>
    <Set name="contextPath">/</Set>
    <Set name="resourceBase"><SystemProperty name="jetty.home" default="."/>/html</Set>
    <Set name="handler">
        <New class="org.mortbay.jetty.handler.ResourceHandler">
            <Set name="welcomeFiles">
                <Array type="String">
                    <Item>index.html</Item>
                    <Item>favicon.ico</Item>
                    <Item>robots.txt</Item>
                </Array>
            </Set>
            <Set name="cacheControl">max-age=60,public</Set>
        </New>
    </Set>

</Configure>

